Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.connect
Class Db

    java.lang.Object
      jet.connect.Db

    public class Db

extends java.lang.Object

A class that encapsulate all JDBC types.

See Also:
  `DbColDesc`

Field Summary
`static int` | `SQL_ARRAY`
`static int` | `SQL_BIGINT`
`static int` | `SQL_BINARY`
`static int` | `SQL_BIT`
`static int` | `SQL_BLOB`
`static int` | `SQL_CHAR`
`static int` | `SQL_CLOB`
`static int` | `SQL_DATE`
`static int` | `SQL_DECIMAL`
`static int` | `SQL_DOUBLE`
`static int` | `SQL_FLOAT`
`static int` | `SQL_INTEGER`
`static int` | `SQL_LONGVARBINARY`
`static int` | `SQL_LONGVARCHAR`
`static int` | `SQL_NO_NULLS`
`static int` | `SQL_NULL`
`static int` | `SQL_NULLABLE`
`static int` | `SQL_NULLABLE_UNKNOWN`
`static int` | `SQL_NUMERIC`
`static int` | `SQL_OTHER`
`static int` | `SQL_REAL`
`static int` | `SQL_SMALLINT`
`static int` | `SQL_TIME`
`static int` | `SQL_TIMESTAMP`
`static int` | `SQL_TINYINT`
`static int` | `SQL_TYPE_NULL`
`static int` | `SQL_VARBINARY`
`static int` | `SQL_VARCHAR`

Constructor Summary
`Db()`

Method Summary
`static java.lang.String` | `toColAttrString(int columnAttribute)`
`static java.lang.String` | `toTypeString(int sqlType)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SQL_CHAR

    public static final int SQL_CHAR

See Also:
  Constant Field Values

### SQL_NUMERIC

    public static final int SQL_NUMERIC

See Also:
  Constant Field Values

### SQL_DECIMAL

    public static final int SQL_DECIMAL

See Also:
  Constant Field Values

### SQL_INTEGER

    public static final int SQL_INTEGER

See Also:
  Constant Field Values

### SQL_SMALLINT

    public static final int SQL_SMALLINT

See Also:
  Constant Field Values

### SQL_FLOAT

    public static final int SQL_FLOAT

See Also:
  Constant Field Values

### SQL_REAL

    public static final int SQL_REAL

See Also:
  Constant Field Values

### SQL_DOUBLE

    public static final int SQL_DOUBLE

See Also:
  Constant Field Values

### SQL_DATE

    public static final int SQL_DATE

See Also:
  Constant Field Values

### SQL_TIME

    public static final int SQL_TIME

See Also:
  Constant Field Values

### SQL_TIMESTAMP

    public static final int SQL_TIMESTAMP

See Also:
  Constant Field Values

### SQL_VARCHAR

    public static final int SQL_VARCHAR

See Also:
  Constant Field Values

### SQL_LONGVARCHAR

    public static final int SQL_LONGVARCHAR

See Also:
  Constant Field Values

### SQL_BINARY

    public static final int SQL_BINARY

See Also:
  Constant Field Values

### SQL_VARBINARY

    public static final int SQL_VARBINARY

See Also:
  Constant Field Values

### SQL_LONGVARBINARY

    public static final int SQL_LONGVARBINARY

See Also:
  Constant Field Values

### SQL_BIGINT

    public static final int SQL_BIGINT

See Also:
  Constant Field Values

### SQL_TINYINT

    public static final int SQL_TINYINT

See Also:
  Constant Field Values

### SQL_BIT

    public static final int SQL_BIT

See Also:
  Constant Field Values

### SQL_NULL

    public static final int SQL_NULL

See Also:
  Constant Field Values

### SQL_OTHER

    public static final int SQL_OTHER

See Also:
  Constant Field Values

### SQL_CLOB

    public static final int SQL_CLOB

See Also:
  Constant Field Values

### SQL_BLOB

    public static final int SQL_BLOB

See Also:
  Constant Field Values

### SQL_ARRAY

    public static final int SQL_ARRAY

See Also:
  Constant Field Values

### SQL_TYPE_NULL

    public static final int SQL_TYPE_NULL

See Also:
  Constant Field Values

### SQL_NO_NULLS

    public static final int SQL_NO_NULLS

See Also:
  Constant Field Values

### SQL_NULLABLE

    public static final int SQL_NULLABLE

See Also:
  Constant Field Values

### SQL_NULLABLE_UNKNOWN

    public static final int SQL_NULLABLE_UNKNOWN

See Also:
  Constant Field Values

Constructor Detail

### Db

    public Db()

Method Detail

### toTypeString

    public static java.lang.String toTypeString(int sqlType)

### toColAttrString

    public static java.lang.String toColAttrString(int columnAttribute)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD